commit 38e5bb5bfcc719796a8390fb87c8bd37cec716ca
Author: jklowden <jklowden>
Date:   Tue Jul 8 19:41:24 2008 +0000

    don't dereference a NULL dbproc.

diff --git a/ChangeLog b/ChangeLog
index 128f41c..b7d7f42 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Tue Jul  8 15:38:37 EDT 2008	JK Lowden <jklowden@freetds.org>
+	* src/dblib/dblib.c don't dereference a NULL dbproc. 
+
 Tue Jul  8 13:02:14 EDT 2008	JK Lowden <jklowden@freetds.org>
 	* include/tds.h src/tds/token.c
 	- use locally provided server name if the error message
@@ -410,4 +413,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2549 2008/07/08 17:16:54 jklowden Exp $
+$Id: ChangeLog,v 1.2550 2008/07/08 19:41:24 jklowden Exp $
diff --git a/src/dblib/dblib.c b/src/dblib/dblib.c
index 76785be..0686e7c 100644
--- a/src/dblib/dblib.c
+++ b/src/dblib/dblib.c
@@ -76,7 +76,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: dblib.c,v 1.326 2008/07/04 21:09:12 jklowden Exp $");
+TDS_RCSID(var, "$Id: dblib.c,v 1.327 2008/07/08 19:41:25 jklowden Exp $");
 
 static RETCODE _dbresults(DBPROCESS * dbproc);
 static int _db_get_server_type(int bindtype);
@@ -4748,7 +4748,7 @@ dbbylist(DBPROCESS * dbproc, int computeid, int *size)
 DBBOOL
 dbdead(DBPROCESS * dbproc)
 {
-	tdsdump_log(TDS_DBG_FUNC, "dbdead(%p) [%s]\n", dbproc, IS_TDSDEAD(dbproc->tds_socket)? "dead":"alive");
+	tdsdump_log(TDS_DBG_FUNC, "dbdead(%p) [%s]\n", dbproc, dbproc? IS_TDSDEAD(dbproc->tds_socket)? "dead":"alive" : "quite dead");
 	CHECK_PARAMETER(dbproc, SYBENULL, TRUE);
 
 	if (IS_TDSDEAD(dbproc->tds_socket))

